www.cendio.com
Bug 7193 - tl-setup does not handle migration of removed or moved parameters
: tl-setup does not handle migration of removed or moved parameters
Status: CLOSED FIXED
: ThinLinc
Server Installer
: trunk
: PC Unknown
: P2 Normal
: 4.10.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2018-05-31 09:27 by
Modified: 2018-06-05 10:29 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2018-05-31 09:27:26
When for example /vsmserver/allowed_shadowers is moved to
/shadowing/allowed_shadowers (like in bug 37) the administrator has to migrate
this manually.

The same is true if a parameter is completely removed or renamed.
------- Comment #7 From cendio 2018-05-31 17:15:10 -------
This has now been added as part of the 'parameters' migration choice in
tl-setup. As part of adding support for this feature, automatic migration for
/vsmserver/allowed_shadowers to /shadowing/allowed_shadowers have been added
(this config change was done on bug 37 for the 4.9.0 release).

Another change that is part of this is that we also have the ability to migrate
non-hiveconf configuration files when needed. No such example exists in recent
releases.
------- Comment #11 From cendio 2018-06-01 13:44:19 -------
A crash in tl-setup migration and a failing python version test was fixed.
Should be all done now.
------- Comment #13 From cendio 2018-06-04 14:44:55 -------
I started with generic tests of the refactored modules:

 ✓ EULA
 ✓ System type
 ✓ Conf. migration
 ✗ Summary

Everything worked fine except for the summary in GUI mode for an agent only
setup. In that case I got an almost blank page (just the heading).
------- Comment #14 From cendio 2018-06-04 14:53:42 -------
Migration of an empty /vsmserver/allowed_shadowers (i.e. a default config) does
not remove the old value.

Otherwise the migration works well with the new value updated, the old removed
and nice logging. :)
------- Comment #15 From cendio 2018-06-04 15:09:04 -------
Documentation and release notes both look good.
------- Comment #18 From cendio 2018-06-04 15:34:24 -------
(In reply to comment #13)
> Everything worked fine except for the summary in GUI mode for an agent only
> setup. In that case I got an almost blank page (just the heading).

Fixed in r33392

(In reply to comment #14)
> Migration of an empty /vsmserver/allowed_shadowers (i.e. a default config) does
> not remove the old value.

The same was true for a corner case of /vsmserver/terminalservers where it's
value was empty prior to running the migration.

Fixed in r33393
------- Comment #19 From cendio 2018-06-05 10:29:28 -------
Both issues now fixed and everything works fine.